package nsdb;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class NucSeqPOATie
	extends NucSeqPOA
{
	private NucSeqOperations _delegate;

	private POA _poa;
	public NucSeqPOATie(NucSeqOperations delegate)
	{
		_delegate = delegate;
	}
	public NucSeqPOATie(NucSeqOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public nsdb.NucSeq _this()
	{
		return nsdb.NucSeqHelper.narrow(_this_object());
	}
	public nsdb.NucSeq _this(org.omg.CORBA.ORB orb)
	{
		return nsdb.NucSeqHelper.narrow(_this_object(orb));
	}
	public NucSeqOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(NucSeqOperations delegate)
	{
		_delegate = delegate;
	}
	public nsdb.NucFeature[] getNucFeatures() throws type.NoResult
	{
		return _delegate.getNucFeatures();
	}

	public nsdb.NucFeature[] getNucFeaturesByKey(java.lang.String key) throws type.NoResult,type.InvalidArgumentValue
	{
		return _delegate.getNucFeaturesByKey(key);
	}

	public int getLength()
	{
		return _delegate.getLength();
	}

	public java.lang.String getMoleculeType()
	{
		return _delegate.getMoleculeType();
	}

	public org.omg.CORBA.Any getAnySeq()
	{
		return _delegate.getAnySeq();
	}

	public java.lang.String getTopology()
	{
		return _delegate.getTopology();
	}

	public nsdb.Location getReferenceLocation(java.lang.String reference_id) throws type.InvalidRelation,type.NoResult
	{
		return _delegate.getReferenceLocation(reference_id);
	}

	public int getCheckSum()
	{
		return _delegate.getCheckSum();
	}

	public int getBioSeqVersion()
	{
		return _delegate.getBioSeqVersion();
	}

	public java.lang.String getBioSeqId()
	{
		return _delegate.getBioSeqId();
	}

	public java.lang.String getSubSeqByFeature(nsdb.NucFeature feature) throws type.InvalidRelation,nsdb.InexactLocation
	{
		return _delegate.getSubSeqByFeature(feature);
	}

	public nsdb.Location getLocalLocation(nsdb.NucFeature nuc_feature) throws type.InvalidRelation
	{
		return _delegate.getLocalLocation(nuc_feature);
	}

	public java.lang.String getSubSeq(int start, int end) throws type.IndexOutOfRange
	{
		return _delegate.getSubSeq(start,end);
	}

	public type.DbXref[] getOrganisms() throws type.NoResult
	{
		return _delegate.getOrganisms();
	}

	public java.lang.String getSeq()
	{
		return _delegate.getSeq();
	}

}
